path: /build/build/containerd-app-emulation-1.7.15.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="btrfs seccomp" emerge app-emulation/containerd -pv -t && \
    USE="btrfs seccomp" emerge -j ${JOBS} --nodeps app-emulation/containerd
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/containerd && luet-portage --dir /pkgdir/containerd
    app-emulation/containerd && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:9de8171b55621670f2318b7ca391488d89377846aef22c5e83a8d45478d244cc
  package:
    name: containerd
    version: 1.7.15
    category: app-emulation
    use_flags:
    - btrfs
    - seccomp
    requires:
    - name: go-md2man
      version: '>=0'
      category: dev-go
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A daemon to control runC
    uri:
    - https://containerd.io/
    license: Apache-2.0
    buildtimestamp: 2024-04-28 19:03:59.053426544 +0000 UTC m=+341.739522575
    labels:
      BDEPEND: dev-go/go-md2man virtual/pkgconfig >=dev-lang/go-1.12 app-arch/unzip
        virtual/pkgconfig
      DEPEND: btrfs? ( sys-fs/btrfs-progs ) seccomp? ( sys-libs/libseccomp )
      IUSE: apparmor btrfs device-mapper +cri hardened +seccomp selinux test
      RDEPEND: btrfs? ( sys-fs/btrfs-progs ) seccomp? ( sys-libs/libseccomp ) app-emulation/runc
      emerge.packages: app-emulation/containerd
      kit: core-kit
      original.package.name: app-emulation/containerd
      original.package.slot: "0"
      original.package.version: 1.7.15
    treedir: /build/packages
  package_dir: /pkgdir/containerd
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 4ae0211bdcaf22a064f088aae4e543ee0353c026f58c0425e93d9e7d5a57b23b
compressiontype: zstd
files:
- etc/init.d/containerd
- lib/systemd/system/containerd.service
- usr/bin/containerd
- usr/bin/containerd-shim
- usr/bin/containerd-shim-runc-v1
- usr/bin/containerd-shim-runc-v2
- usr/bin/containerd-stress
- usr/bin/ctr
- usr/bin/gen-manpages
- usr/share/doc/containerd-1.7.15/.editorconfig.bz2
- usr/share/doc/containerd-1.7.15/ADOPTERS.md.bz2
- usr/share/doc/containerd-1.7.15/NRI.md.bz2
- usr/share/doc/containerd-1.7.15/PLUGINS.md.bz2
- usr/share/doc/containerd-1.7.15/README.md.bz2
- usr/share/doc/containerd-1.7.15/RELEASES.md.bz2
- usr/share/doc/containerd-1.7.15/ROADMAP.md.bz2
- usr/share/doc/containerd-1.7.15/RUNC.md.bz2
- usr/share/doc/containerd-1.7.15/SCOPE.md.bz2
- usr/share/doc/containerd-1.7.15/client-opts.md.bz2
- usr/share/doc/containerd-1.7.15/containerd-nri-integration.png
- usr/share/doc/containerd-1.7.15/content-flow.md.bz2
- usr/share/doc/containerd-1.7.15/cri/architecture.md.bz2
- usr/share/doc/containerd-1.7.15/cri/architecture.png
- usr/share/doc/containerd-1.7.15/cri/config.md.bz2
- usr/share/doc/containerd-1.7.15/cri/cri.png
- usr/share/doc/containerd-1.7.15/cri/crictl.md.bz2
- usr/share/doc/containerd-1.7.15/cri/decryption.md.bz2
- usr/share/doc/containerd-1.7.15/cri/installation.md.bz2
- usr/share/doc/containerd-1.7.15/cri/registry.md.bz2
- usr/share/doc/containerd-1.7.15/cri/testing.md.bz2
- usr/share/doc/containerd-1.7.15/garbage-collection.md.bz2
- usr/share/doc/containerd-1.7.15/getting-started.md.bz2
- usr/share/doc/containerd-1.7.15/historical/cri/containerd.png
- usr/share/doc/containerd-1.7.15/historical/cri/performance.png
- usr/share/doc/containerd-1.7.15/historical/cri/proposal.md.bz2
- usr/share/doc/containerd-1.7.15/historical/design/architecture.md.bz2
- usr/share/doc/containerd-1.7.15/historical/design/architecture.png
- usr/share/doc/containerd-1.7.15/historical/design/data-flow.md.bz2
- usr/share/doc/containerd-1.7.15/historical/design/data-flow.png
- usr/share/doc/containerd-1.7.15/historical/design/lifecycle.md.bz2
- usr/share/doc/containerd-1.7.15/historical/design/mounts.md.bz2
- usr/share/doc/containerd-1.7.15/historical/design/snapshot_model.png
- usr/share/doc/containerd-1.7.15/historical/design/snapshots.md.bz2
- usr/share/doc/containerd-1.7.15/historical/reports/2017-01-13.md.bz2
- usr/share/doc/containerd-1.7.15/historical/reports/2017-01-20.md.bz2
- usr/share/doc/containerd-1.7.15/historical/reports/2017-01-27.md.bz2
- usr/share/doc/containerd-1.7.15/historical/reports/2017-02-10.md.bz2
- usr/share/doc/containerd-1.7.15/historical/reports/2017-02-24.md.bz2
- usr/share/doc/containerd-1.7.15/historical/reports/2017-03-10.md.bz2
- usr/share/doc/containerd-1.7.15/historical/reports/2017-03-17.md.bz2
- usr/share/doc/containerd-1.7.15/historical/reports/2017-03-24.md.bz2
- usr/share/doc/containerd-1.7.15/historical/reports/2017-04-28.md.bz2
- usr/share/doc/containerd-1.7.15/historical/reports/2017-05-05.md.bz2
- usr/share/doc/containerd-1.7.15/historical/reports/2017-05-19.md.bz2
- usr/share/doc/containerd-1.7.15/historical/reports/2017-05-26.md.bz2
- usr/share/doc/containerd-1.7.15/historical/reports/2017-06-09.md.bz2
- usr/share/doc/containerd-1.7.15/historical/reports/2017-06-23.md.bz2
- usr/share/doc/containerd-1.7.15/hosts.md.bz2
- usr/share/doc/containerd-1.7.15/managed-opt.md.bz2
- usr/share/doc/containerd-1.7.15/namespaces.md.bz2
- usr/share/doc/containerd-1.7.15/ops.md.bz2
- usr/share/doc/containerd-1.7.15/remote-snapshotter.md.bz2
- usr/share/doc/containerd-1.7.15/rootless.md.bz2
- usr/share/doc/containerd-1.7.15/snapshotters/README.md.bz2
- usr/share/doc/containerd-1.7.15/snapshotters/devmapper.md.bz2
- usr/share/doc/containerd-1.7.15/stream_processors.md.bz2
- usr/share/doc/containerd-1.7.15/tracing.md.bz2
- usr/share/doc/containerd-1.7.15/transfer.md.bz2
- usr/share/man/man5/containerd-config.toml.5.bz2
- usr/share/man/man8/containerd-config.8.bz2
- usr/share/man/man8/containerd.8.bz2
- usr/share/man/man8/ctr.8.bz2
- var/db/pkg/app-emulation/containerd-1.7.15/BDEPEND
- var/db/pkg/app-emulation/containerd-1.7.15/BUILD_TIME
- var/db/pkg/app-emulation/containerd-1.7.15/CATEGORY
- var/db/pkg/app-emulation/containerd-1.7.15/CBUILD
- var/db/pkg/app-emulation/containerd-1.7.15/CFLAGS
- var/db/pkg/app-emulation/containerd-1.7.15/CHOST
- var/db/pkg/app-emulation/containerd-1.7.15/CONTENTS
- var/db/pkg/app-emulation/containerd-1.7.15/COUNTER
- var/db/pkg/app-emulation/containerd-1.7.15/CXXFLAGS
- var/db/pkg/app-emulation/containerd-1.7.15/DEFINED_PHASES
- var/db/pkg/app-emulation/containerd-1.7.15/DEPEND
- var/db/pkg/app-emulation/containerd-1.7.15/DESCRIPTION
- var/db/pkg/app-emulation/containerd-1.7.15/EAPI
- var/db/pkg/app-emulation/containerd-1.7.15/FEATURES
- var/db/pkg/app-emulation/containerd-1.7.15/HOMEPAGE
- var/db/pkg/app-emulation/containerd-1.7.15/INHERITED
- var/db/pkg/app-emulation/containerd-1.7.15/IUSE
- var/db/pkg/app-emulation/containerd-1.7.15/IUSE_EFFECTIVE
- var/db/pkg/app-emulation/containerd-1.7.15/KEYWORDS
- var/db/pkg/app-emulation/containerd-1.7.15/LDFLAGS
- var/db/pkg/app-emulation/containerd-1.7.15/LICENSE
- var/db/pkg/app-emulation/containerd-1.7.15/NEEDED
- var/db/pkg/app-emulation/containerd-1.7.15/PF
- var/db/pkg/app-emulation/containerd-1.7.15/RDEPEND
- var/db/pkg/app-emulation/containerd-1.7.15/REQUIRES
- var/db/pkg/app-emulation/containerd-1.7.15/RESTRICT
- var/db/pkg/app-emulation/containerd-1.7.15/SIZE
- var/db/pkg/app-emulation/containerd-1.7.15/SLOT
- var/db/pkg/app-emulation/containerd-1.7.15/USE
- var/db/pkg/app-emulation/containerd-1.7.15/containerd-1.7.15.ebuild
- var/db/pkg/app-emulation/containerd-1.7.15/environment.bz2
- var/db/pkg/app-emulation/containerd-1.7.15/repository
- var/lib/containerd/.keep_app-emulation_containerd-0
package_cacheimage: ""
runtime:
  name: containerd
  version: 1.7.15
  category: app-emulation
  use_flags:
  - btrfs
  - seccomp
  requires:
  - name: runc
    version: '>=0'
    category: app-emulation
  - name: btrfs-progs
    version: '>=0'
    category: sys-fs
  - name: cni-plugins
    version: '>=0'
    category: net-misc
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A daemon to control runC
  uri:
  - https://containerd.io/
  license: Apache-2.0
  labels:
    BDEPEND: dev-go/go-md2man virtual/pkgconfig >=dev-lang/go-1.12 app-arch/unzip
      virtual/pkgconfig
    DEPEND: btrfs? ( sys-fs/btrfs-progs ) seccomp? ( sys-libs/libseccomp )
    IUSE: apparmor btrfs device-mapper +cri hardened +seccomp selinux test
    RDEPEND: btrfs? ( sys-fs/btrfs-progs ) seccomp? ( sys-libs/libseccomp ) app-emulation/runc
    emerge.packages: app-emulation/containerd
    kit: core-kit
    original.package.name: app-emulation/containerd
    original.package.slot: "0"
    original.package.version: 1.7.15
